OpenTTD: CargoReservation Class Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CargoReservation Class Reference

Action of reserving cargo from a station to be loaded onto a vehicle. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoReservation:

## Public Member Functions
| CargoReservation (StationCargoList *source, VehicleCargoList *destination, uint max_move, TileIndex load_place)
bool | operator() (CargoPacket *cp)
| Reserves some cargo for loading.
Public Member Functions inherited from CargoLoad
| CargoLoad (StationCargoList *source, VehicleCargoList *destination, uint max_move, TileIndex load_place)
Public Member Functions inherited from CargoMovement< StationCargoList, VehicleCargoList >
| CargoMovement (StationCargoList *source, VehicleCargoList *destination, uint max_move)
uint | MaxMove ()
| Returns how much more cargo can be moved with this action.

## Additional Inherited Members
Protected Member Functions inherited from CargoMovement< StationCargoList, VehicleCargoList >
CargoPacket * | Preprocess (CargoPacket *cp)
Protected Attributes inherited from CargoLoad
TileIndex | load_place
| TileIndex to be saved in the packets' loaded_at_xy.

## Detailed Description

Action of reserving cargo from a station to be loaded onto a vehicle.

Definition at line 91 of file cargoaction.h.

## Member Function Documentation

bool CargoReservation::operator() | ( | CargoPacket * | cp | ) |

Reserves some cargo for loading.

Parameters

  cp | Packet to be reserved.

Returns
  True if the packet was completely reserved, false if part of it was.

Reimplemented from CargoLoad.

Definition at line 136 of file cargoaction.cpp.

References VehicleCargoList::Append(), CargoPacket::Count(), CargoMovement< StationCargoList, VehicleCargoList >::destination, CargoLoad::load_place, CargoList< VehicleCargoList, CargoPacketList >::MTA_LOAD, CargoMovement< StationCargoList, VehicleCargoList >::Preprocess(), CargoList< Tinst, Tcont >::RemoveFromCache(), StationCargoList::reserved_count, CargoPacket::SetLoadPlace(), and CargoMovement< StationCargoList, VehicleCargoList >::source.

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp